body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    justify-content: center;

    margin: 0;

    font-family: "Instrument Sans", sans-serif;

    background-color: #423B5C;
}

header{
    top: 0; 
    left: 0; 
    width: 100%;
}

main{
    flex: 1;
    margin-top: 45px;
}

footer{
    width: 100%;

    bottom: 0;      
    left: 0;        
    right: 0;
}

h1, h2, h3, h4, h5, h6{
    margin: 0;
}

.bold{
    font-weight: 600;
}

.line {
    clear: both;
    height: 1px;
    line-height: 1px;
    margin: 5px 0px 5px 0px;
    border-bottom: 1px solid #999;
}

.content-container{
    display: flex;
    

    /* min-height: 100vh; */

    margin-top: 5%;
    margin-bottom: 5%;

    padding: 30px;

    background-color: #3c3744;
    border-radius: 15px;
    border: 1px solid #99999949;

    color: white;
    transition: all 0.3s;
}

.content{
    flex: 1;
    padding: 10px;
}
.content > h2{
    margin-bottom: 15px;
}

.avatar-container{
    display: flex;
    flex-direction: column;
    align-items: center;

    max-width: 350px;
}

.author{
    display: flex;
    flex-direction: column;
    align-items: center;

    width: 100%;
    padding: 10px;
    margin-top: 10px;
}
.author > h2{
    background: linear-gradient(160deg,rgba(230, 225, 245, 1) 0%, rgba(184, 161, 255, 1) 100%);
    -webkit-background-clip: text; /* Обрезка фона по тексту */
    background-clip: text; /* Для совместимости */
    -webkit-text-fill-color: transparent; /* Делаем текст прозрачным */
    color: transparent; /* Альтернатива -webkit-text-fill-color */
}

.avatar{
    margin-right: 25px;
    transition: all 0.3s;
}

.avatar > img{
    border-radius: 35px;
    margin: 10px;
    width: 100%;
    height: 100%;
    border: 3px solid #0000007c;
}

.links{
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: center;

    gap: 10px;

    max-width: 100%;
}

.links > a{
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;

    white-space: nowrap;
}

.links > a:hover{
    color: #c39eff;
}

.links > a > img{
    margin-right: 3px;
    width: 25px;
    height: 25px;
}

.links > a{
    color: white;
    text-decoration: none;
}

.btn{
    width: 35%;
    background-color: #332a42;
    padding: 10px;
    border-radius: 15px;

    font-size: 16px;
    text-align: center;
    font-weight: 600;

    transition: background-color 0.3s ease;
}
.btn>a{
    color: white;
    text-decoration: none;
}
.btn:hover {
    background-color: #4d3f63;
}

/* SCRIPTS */
.element{
    width: 100%;
    margin: 0;
    margin-bottom: 15px;
}

.element:last-child{
    margin-bottom: 0;
}

.el-title{
    color: white;
    text-decoration: none;
}
.el-title:hover{
    color: #c39eff;
}
.el-title > h3{
    margin: 0;
    margin-left: 5px;
    margin-bottom: 5px;
}

.code-block{
    position: relative;
    background: #1e1e1e;
    color: #dcdcdc;
    padding: 15px;
    padding-right: 70px; /* место для кнопки */
    border-radius: 6px;
    font-family: monospace;
    overflow-x: auto;
}
.code-block pre{
    margin: 0;
    white-space: nowrap;
    overflow-x: auto;
}

.copy-btn{
    position: absolute;
    top: 8px;
    right: 8px;
    padding: 5px 10px;
    border: none;
    background: #3a3a3a;
    color: white;
    cursor: pointer;
    border-radius: 4px;
    font-size: 12px;
}

.copy-btn:hover{
    background: #555;
}